org.apache.sis.metadata.sql

## Class MetadataStoreException

- Object
- - Throwable
  - - Exception
    - - MetadataStoreException

- All Implemented Interfaces:
    Serializable

      public class MetadataStoreException
      extends Exception

  Thrown when a metadata access failed. The cause for this exception is typically a `SQLException`.
  Since:
    0.8
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataStoreException(Exception cause)` Creates an instance of `MetadataException` with the specified cause.
    `MetadataStoreException(String message)` Creates an instance of `MetadataException` with the specified detail message.
    `MetadataStoreException(String message, Exception cause)` Creates an instance of `MetadataException` with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataStoreException

          public MetadataStoreException(String message)

      Creates an instance of `MetadataException` with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### MetadataStoreException

          public MetadataStoreException(Exception cause)

      Creates an instance of `MetadataException` with the specified cause.
      Parameters:
        `cause` - the cause of this exception.

    - #### MetadataStoreException

          public MetadataStoreException(String message,
                                        Exception cause)

      Creates an instance of `MetadataException` with the specified message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause of this exception.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.